function data = fixgaps(data)

if isnan(data(1)) % if the data vector starts with NaNs
    data(1:find(~isnan(data),1,'first')-1) = data(find(~isnan(data),1,'first')); % fill the NaNs with the first value in the vector
end

if isnan(data(end)) % if the data vector ends with NaNs
    data(find(~isnan(data),1,'last')+1:end) = data(find(~isnan(data),1,'last')); % fill the NaNs with the last value in the vector
end

NaN_indices=find(isnan(data)); % indices of NaNs
nNaN_indices=find(~isnan(data)); % indices of values (i.e., not NaN)

data(NaN_indices) = interp1(nNaN_indices,data(nNaN_indices),NaN_indices,'linear');

end