%%
% Eisma, Y. B., Van Vliet, S. B., Nederveen, A., & De Winter, J. C. F. (2024). Assessing the influence of visual stimulus properties on steady-state visually evoked potentials and pupil diameter. Biomedical Physics & Engineering Express. https://doi.org/10.1088/2057-1976/ad865d
% 1 Department of Cognitive Robotics, Delft University of Technology
% 2 Department of Radiology and Nuclear Medicine, Amsterdam UMC Location AMC, Amsterdam
% Corresponding author: j.c.f.dewinter@tudelft.nl

% A small script used for reading and showing the frames of the video
clc
close all
clear C brightness RGB C
files=dir('video\*.mp4');
%%
close all
for f=1:length(files)
    vidObj=VideoReader(['video\Experiment 1\' files(f).name]); %#ok<TNMLP>
    VS(f,:)=[vidObj.NumFrames vidObj.FrameRate vidObj.Width vidObj.Height vidObj.Duration]; % Video stats
    clear frametime brigthness
    for frame_nr=1:240
        disp([f frame_nr])
        thisFrame = read(vidObj, frame_nr); % video frame
        frametime(frame_nr)=vidObj.CurrentTime;
        brightness(f,frame_nr)=mean(mean(rgb2gray(thisFrame)));
        width(f,frame_nr)=sum(max(rgb2gray(thisFrame))>10);
        height(f,frame_nr)=sum(max(rgb2gray(thisFrame)')>10);


        C(f,frame_nr,:)=squeeze(mean(mean(thisFrame(520:570,930:990,:),1),2))';
        %  figure
        %  image(thisFrame)
        %      set(gca,'ylim',[520 570])
        %       set(gca,'xlim',[930 990])
        %        pause
    end
    %figure;plot(brightness)
    %pause
end
% 0 215 0
% 252 254 252
% 255 24 0
save('video_stats','brightness','width','height','C')

%%
% 1. frequency (1 to 4)
% 2. size (1 to 3)
% 3. shape (squares, circles, triangles)
% 4. color (white, green, red)
cdv=[2	1	2	2
    2	1	1	2
    2	1	3	2
    3	1	2	2
    3	1	1	2
    3	1	3	2
    4	1	2	2
    4	1	1	2
    4	1	3	2
    1	1	2	2
    1	1	1	2
    1	1	3	2
    2	1	2	3
    2	1	1	3
    2	1	3	3
    3	1	2	3
    3	1	1	3
    3	1	3	3
    4	1	2	3
    4	1	1	3
    4	1	3	3
    1	1	2	3
    1	1	1	3
    1	1	3	3
    2	1	2	1
    2	1	1	1
    3	1	1	1
    2	1	3	1
    3	1	2	1
    3	1	3	1
    4	1	2	1
    4	1	1	1
    4	1	3	1
    1	1	2	1
    1	1	1	1
    1	1	3	1
    2	2	2	2
    2	2	1	2
    2	2	3	2
    3	2	2	2
    3	2	1	2
    3	2	3	2
    4	2	2	2
    4	2	1	2
    4	2	3	2
    1	2	2	2
    1	2	1	2
    1	2	3	2
    2	2	2	3
    2	2	1	3
    2	2	3	3
    3	2	2	3
    3	2	1	3
    3	2	3	3
    4	2	2	3
    4	2	1	3
    4	2	3	3
    1	2	2	3
    1	2	1	3
    1	2	3	3
    2	2	2	1
    2	2	1	1
    2	2	3	1
    3	2	2	1
    3	2	1	1
    3	2	3	1
    4	2	2	1
    4	2	1	1
    4	2	3	1
    1	2	2	1
    1	2	1	1
    1	2	3	1
    2	3	2	2
    2	3	1	2
    2	3	3	2
    3	3	2	2
    3	3	1	2
    3	3	3	2
    4	3	2	2
    4	3	1	2
    4	3	3	2
    1	3	2	2
    1	3	1	2
    1	3	3	2
    2	3	2	3
    2	3	1	3
    2	3	3	3
    3	3	2	3
    3	3	1	3
    3	3	3	3
    4	3	2	3
    4	3	1	3
    4	3	3	3
    1	3	2	3
    1	3	1	3
    1	3	3	3
    2	3	2	1
    2	3	1	1
    2	3	3	1
    3	3	2	1
    3	3	1	1
    3	3	3	1
    4	3	2	1
    4	3	1	1
    4	3	3	1
    1	3	2	1
    1	3	1	1
    1	3	3	1];
clc
disp('mean height of small squares')
disp(mean(max(height(cdv(:,2)==1 & cdv(:,3)==1 ,:)')'))
disp('mean width of small squares')
disp(mean(max(width(cdv(:,2)==1 & cdv(:,3)==1 ,:)')'))

disp('mean height of small circles')
disp(mean(max(height(cdv(:,2)==1 & cdv(:,3)==2 ,:)')'))
disp('mean width of small circles')
disp(mean(max(width(cdv(:,2)==1 & cdv(:,3)==2 ,:)')'))

disp('mean height of small triangles')
disp(mean(max(height(cdv(:,2)==1 & cdv(:,3)==3 ,:)')'))
disp('mean width of small triangles')
disp(mean(max(width(cdv(:,2)==1 & cdv(:,3)==3 ,:)')'))

disp('mean height of large squares')
disp(mean(max(height(cdv(:,2)==3 & cdv(:,3)==1 ,:)')'))
disp('mean width of large squares')
disp(mean(max(width(cdv(:,2)==3 & cdv(:,3)==1 ,:)')'))

disp('mean height of large circles')
disp(mean(max(height(cdv(:,2)==3 & cdv(:,3)==2 ,:)')'))
disp('mean width of large circles')
disp(mean(max(width(cdv(:,2)==3 & cdv(:,3)==2 ,:)')'))

disp('mean height of large triangles')
disp(mean(max(height(cdv(:,2)==3 & cdv(:,3)==3 ,:)')'))
disp('mean width of large triangles')
disp(mean(max(width(cdv(:,2)==3 & cdv(:,3)==3 ,:)')'))

